Name:           python-bifrost
Version:        19.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Deployment of physical machines using OpenStack Ironic and Ansible

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://docs.openstack.org/bifrost/latest/
Source:         %{pypi_source bifrost}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bifrost' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bifrost
Summary:        %{summary}

%description -n python3-bifrost %_description


%prep
%autosetup -p1 -n bifrost-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bifrost -f %{pyproject_files}


%changelog
%autochangelog